<?php
/*
Plugin Name: Dinkum default empty post content and much more.
Plugin URI: 
Description: If the content post if empty, it fills it with some text.
Version: 1.0
Author:  Emiliano Jankowski
Author URI: 
*/


function set_default_content($content) {
        $default_post_content = "This is our default post text!!";

	   if (!isset($content) || trim($content)=='')
		return $default_post_content;

	   
	   return $content;
}



function insert_some_css() {
	echo '
            <style type="text/css">
                    #site-title a {
                            color: #08FF00; /* lovely green :) */
                    }
                    
            </style>';
}



add_action('wp_head', 'insert_some_css');

add_filter("the_content", "set_default_content");

add_action('admin_menu', 'dinkum_menu');

function dinkum_menu() {
	
	add_menu_page( 'Dinkum', 'Dinkum', 'manage_options', 'dinkum-section', 'dinkum_page' );
	add_submenu_page( 'dinkum-section', 'Setting', 'Setting', 'manage_options', 'dinkum-section-setting', 'dinkum_item');
}

function dinkum_page() {
	// Check if the user has enough rights.
	if (!current_user_can('manage_options'))  {
		wp_die( __('You don\'t have permissions to access this page.') );
	}

	// Write our custom html
	echo '<h2> Hello there!</h2>';
	echo '<div class="wrap">';
	echo '<p>We can put our custom form here or any content we need!! </p>';
	echo '</div>';
}


function dinkum_item() {
	// Check if the user has enough rights.
	if (!current_user_can('manage_options'))  {
		wp_die( __('You don\'t have permissions to access this page.') );
	}

	// Write our custom html
	echo '<h2> Hello there!</h2>';
	echo '<div class="wrap">';
	echo '<p>This is our item page!! </p>';
	echo '</div>';
}



add_action('admin_bar_menu', 'custom_adminbar_menu');


function dinkum_adminbar_menu(){
	global $wp_admin_bar;
	$wp_admin_bar->add_menu(
		array(	'id' => 'dinkum-menu',
				'title' => __( 'Dinkum' ),
				'href' => get_admin_url(null, 'admin.php?page=dinkum-section')
		)
	);

	$wp_admin_bar->add_menu(
		array(	'parent' => 'dinkum-menu',
				'id' => 'dinkum-menu-setting',
				'title' => __( 'Setting' ),
				'href' => get_admin_url(null, 'admin.php?page=dinkum-section-setting')
		)
	);

}


?>

